Hnet Info Mail 1.1

schránka

Beginning with Application Hnet Info Mail 1.1

Hnet Info Mail is a valuable and very sophisticated email client on the comparable level with competitive applications of the same type.

This application is designed for receiving, sending and working with electronic mail (e-mail), in both plain text and hypertext form, using Internet protocols POP3 and SMTP.

First Launch

During the first startup, application will create all files it will need for its proper function. It will also create identity (see working with application -> identities) Admin with access password hinfo. You can of course change the password in the future.

After that, a new account wizard is started automatically, which will guide you through all necessary steps essential for proper work of the e-mail client.

Technical Details

  • Vesion: 1.1
  • Year: 2001
  • Size of executable: approx. 2MB

Note

Windows® is a registered trademark of the company Microsoft.


Hnet Info Mail 1.1 - Identities

Identities

What are Identities

Identities are designed in order that Hnet Info Mail 1.0 can be used by multiple users on a single computer independently. Each user has own preferences, own message folders etc.

Identity is selected during the startup of the program by login. Each identity is protected by password against unauthorized access to the program and user data.

Default Identity

Default Identity after program install is Admin with a password hinfo, which can be changed indeed (see changing password).

Identities Dialog

This Dialog is called up after the program startup. It contain

  • scrollable list of available identities
  • button for login
  • button cancel for immediate program termination
  • button change for changing the password
  • button for addition of a new identity
  • button for removal of identity
  • input field for text input (for entering password)


Hnet Info Mail 1.1 - Identity Login

Identity Login

Select an identity in the scrollable list of available identities, which you would like to login as.

Type in the password for selected identity to the text input field. Only asterisks will be displayed during typing in the password.

Click the button OK and you will logon. If you entered the password correctly, the application will start.


Hnet Info Mail 1.1 - New Identity

New Identity

To Add New Identity

If you want to add new identity for the application (if you want another user to access the application), you first have to select your own identity and enter the correct password. After that, you can press the button to create a new identity. Remember, that not all of identities can add new identities (you choose this right during creation of the new identity). If the button for adding new identities is disabled, you cannot create new identities.

Entering the Information about New Identity

Suppose you entered the correct password and pressed the button to create a new identity. A dialog for information about the new identity will open. Now, you have to enter the name of the new identity and it's password (twice to verify the password). Moreover, you can choose whether the new identity can add another identities (see above).

Both name and password can have only 14 characters.

It might be possible to have more identities with the same name, but we strongly do not recommend that.


Hnet Info Mail 1.1 - Identity Removal

Identity Removal

The same way as in creating new identity, you have to select the desired identity first and enter the correct password to the text input field.

If you now click the button for identity removal, the identity will be removed.


Hnet Info Mail 1.1 - Changing the Password

Changing the Password of Identity

The same way as in creating new identity, you have to select the desired identity first and enter the correct password to the text input field.

If you now click the button change a dialog will open, that is actually the same as in creating new identity. Now you can only enter the new password (twice to verify the password).

Password can be maximally 14 characters long.


Hnet Info Mail 1.1 - Main Window

Application's Main Window

Hlavní okno

Operation

The main window is the basic part of the whole application. You can here

  • work with messages, folders and contacts
  • manage the preferences of the whole application
  • open new windows and run application's commands

Division

Main Window is divided into three parts

  • menu with all of the application's functions and commands
  • toolbar for more convenient work with the application
  • and main area
Main area maintains the most important functions of the application and is further divided into four parts
  • messages folders - to browse the folders
  • messages list of the selected folder
  • message body, of the message last selected
  • contacts, with the list of persons in the directory


Hnet Info Mail 1.1 - Menu

Menu

Menu is used to operate the application. It contains all application's functions and commands. You can find here following submenus

  • file
  • edit
  • view
  • messages
  • tools
  • schedule
  • help


Hnet Info Mail 1.0 - File

Menu File

Menu file contain following commands

New message
opens a dialog for writing new message.
Open message
opens a message located in an external file
Save message
saves the selected message to an external file
Save attachments
saves the attachments of the selected message to disk
Import
imports directory or message folders from selected directory.
Export
exports all folders or directory into the selected disk folder.
Empty recycled mail
empties the folder recycled mail.
Print (Ctrl+P)
prints the selected message.
Logout
logouts the logged user in order to allow another user to login.
Exit (Alt+F4, Alt+X)
exits the application


Hnet Info Mail 1.1 - Edit

Menu Edit

Menu Edit contain these commands

Move to folder
moves selected message to another folder.
Copy to Folder
copies selected message to another folder.
Find
Finds message or contact according to given criteria.
Delete
removes selected message / contact
Select all (Ctrl+A)
Selects all messages in active folder.
Refresh (F5)
redraws the application's window (if suffered from graphic problems).


Hnet Info Mail 1.1 - View

Menu View

Menu view contain these commands

Sort by
provides setup for sorting messages in the list
Font size
provides possibility to setup the font size used for messages.
Language
provides possibility to choose the application's language.


Hnet Info Mail 1.1 - Messages

Menu Messages

Menu messages contain following commands

New...
opens dialog for writing a new message.
Reply...
write reply to the selected message.
Forward...
forward selected message.
Block sender
see blocked users.
Switch flag
allows you to set or clear message's flag.


Hnet Info Mail 1.0 - Tools

Menu Tools

Menu Tools contain following commands

Receive/Send messages
receives and sends messages.
Directory... (Ctrl+D)
opens the directory of contacts.
Messages' rules...
see Working with mail - messages' rules.
Accounts...
setup of accounts for electronic mail.
Preferences...
setup of applications' preferences.


Hnet Info Mail 1.1 - Scheduler

Menu Scheduler

Menu scheduler opens a dialog, where you can enter, modify and delete scheduled tasks.

Using the buttons Next and Previous you can browse the tasks. You can add a new task with the button New... or delete it with the button Delete.

Scheduled task contains date, time and short text. On the given date and time, a message with information about the scheduled task and with the entered text will appear (if the application is running).


Hnet Info Mail 1.1 - Help

Menu Help

Menu help contain following commands

Contents and index (F1)
opens this help
About application...
opens small dialog, which contains information about this program.


Hnet Info Mail 1.1 - Toolbar

Toolbar

Toolbar is used for easier operating of the application. It contains the same commands and functions as the main menu.


Hnet Info Mail 1.1 - Messages Folders

Messages Folders

Messages folders are used to switch the active folder. Messages list of the active folder is then available in the messages list. After startup, the folder Received mail is selected as active by default.

If you select item Hnet Info Mail, the statistics of single folders will appear instead of messages list.

You can also add or delete folders using the context menu of Messages folders. It can be opened by clicking over the Messages folders with right mouse button.


Hnet Info Mail 1.1 - List of Folder's Messages

List of Folder's Messages

List of Folder's Messages

List of folder's messages contain listing of all messages of the selected folder. You can find more information in the operating messages folders.


Hnet Info Mail 1.1 - Message Body

Message Body

In the window vith message body are displayed the body of the message with information about sender, recepient and the subject. If the message contains attachments, a yellow paperclip icon will appear in the upper-left edge of this window. If you click this icon, you can save the attachments to the disk. You can save either single or all (selected) attachments at once.


Hnet Info Mail 1.1 - Contacts

Contacts

Contacts contain list of persons and groups of persons in directory. If you click the button contacts, a context menu will unroll, which contains a command for new contact addition.

If you double-click on any contact, you will call up a dialog for writing new message to the selected contact (person).

Each contact has also context menu with commands for writing new message, modifying contact's properties, searching for persons and addition/removal of the contact.

For further information, see directory.


Hnet Info Mail 1.1 - Connection Accounts

Connection Accounts

Connection accounts are designed to setup used POP3 and SMTP servers, their logins and passwords, e-mail addresses and other details such as server ports, delay etc.

Each user may have several connection accounts, but each user must have at least one.

Dialog of connection accounts may be opened through menu Tools with item Connection Accounts.

One account is always set as default. For each new message, there will be initially default connection in the From: field.

To add new account use the button add, which will invoke new account wizard.

To delete account, use the button delete.

To set account's properties use the button properties.

To set default account use the button default.


Hnet Info Mail 1.1 - New Account

New Account

You can add new account by pressing the button new account in the dialog account setup.

Pressing the button will invoke new account wizard.

New account wizard is also invoked on application startup, if there is no default account.


Hnet Info Mail 1.1 - New Account Wizard

New Account Wizard

You can run new account wizard from accounts setup.

Enter step by step all required information. Press the next button to go on to the next page. You can always return back by pressing the button back. On the last page, press the finish button to create the new account.


Hnet Info Mail 1.1 - Account Removal

Account Removal

Account may be deleted by pressing the delete button in the dialogue accounts setup.

Currently selected account is deleted.


Hnet Info Mail 1.1 - Account Properties

Account Properties

You can modify account properties if you press properties button in the dialog account setup.

In the account's properties, you can modify all account options. Some of the properties may be set in the new account wizzard too.


Hnet Info Mail 1.1 - Default Account

Default Account

Default account can be set in the dialog account setup by the button default.

Default account is marked with asterisk


Hnet Info Mail 1.1 - Preferences

Preferences

The dialog preferences is divided into several incidental parts:

General
  • Receiving and sending messages - automatic mail check and receive, sound alert, reading the massages...
  • Deleted mail - automatic emptying.
Sending
  • Sending mail - saving messages, contacts...
  • Message formatting - hypertext, plain text
  • Spellchecking
Font
Setup of font used for displaying messages
Signatures
This option allows you to modify signatures (short text information) that will be appended to each new message created in the selected connection account.

Each user has own preferences, so He cannot influence the application's preferences of another users.


Hnet Info Mail 1.1 - Directory

Directory

Function

Directory is designed for viewing, inserting, removing and modifying of personal contacts of the user and theirs' groups.

Directory can be used for writing new messages too.

Invoking

Directory is called up by pressing the button directory on the toolbar or by selecting command directory in the menu tools.

Using the directory

Directory has its own toolbar, where you can find all buttons for working with contacts (see above).

There is also a button for writing new message to selected persons (contacts). It is possible to select multiple contacts using mouse while holding keys either Ctrl or Shift.


Hnet Info Mail 1.1 - New Contact

New Contact

New contact may be added in two ways

  • by pressing the button new in the directory
  • in the main window by clicking the button contacts and new contact

A dialog will be shown, in which you can enter all information about the given person. No information is required.


Hnet Info Mail 1.1 - Skupina kontaktů

Group of Contacts

You can create new group of contacts in the directory using the button new group.

After that, a dialog will be shown, where you can choose group name and select contacts that will be included in the new group.


Hnet Info Mail 1.1 - Contacts' Properties

Contacts' Properties

If you select any contact in the directory and press the button properties, the same dialog as for new contact is shown. Here you can change or enter all attributes of the given person.


Hnet Info Mail 1.1 - Contact Removal

Contact Removal

Contact can be removed in two ways (first of all, you have to select the removed contact by mouse)

  • by pressing the button remove in the directory
  • in the main window by pressing the button Del


Hnet Info Mail 1.1 - Receiving/Sending Mail

Receiving/Sending Mail

You can receive or send mail either for all of your accounts at once or for specific account only.

After you run this command, a dialog for receiving and sending mail will open. If you are not connected to the Internet, a Window's® standard Internet connection dialog will appear.

A password is required to receive the mail from a POP3 server. If you have not saved it in the program, you will be prompted to enter it.

Received mail is moved to folder Received mail and the mail that was in the folder To send mail will be sent (if receive/send of mail for the specific identity has been carrying out).


Hnet Info Mail 1.1 - All Accounts

Receiving/Sending Mail - All Accounts

Receiving and Sending of mail for all accounts is possible by pressing the Receive/Send button on the toolbar or in the menu Tools, command Receive/Send


Hnet Info Mail 1.1 - One Account

Receving/Sending Mail - One Account

Receiving and sending of mail for one account is provided by selecting the account from the local menu and pressing the button receive/send on the toolbar or by selecting the account from the submenu of receive/send in the menu tools.


Hnet Info Mail 1.1 - Reply to the Message

Reply to the Message

You can reply the selected message by pressing the button reply on the toolbar or using the command reply in the menu message.


Hnet Info Mail 1.1 - Forward Message

Forward Message

You can forward selected message by pressing the button forward on the toolbar or by selecting command forward in the menu message.


Hnet Info Mail 1.1 - Messages' Rules

Messages' Rules

This dialog is designed to setup specific rules of messages. It is divided in two folds:

Rules for Messages
Rules for messages are designed to set criteria for receiving electronic mail (message size, attachments presence), to specify what to do with mail having received it from the server (locate in folder, delete). You can add new rule by pressing the button New in this dialog. To change rule, use the button Modify and to remove button Delete.
If you click New, a new dialog will open, where you can specify the new rule. In the first input field, you can choose condition for the message (another dialog to enter additional information may be opened), in the second input field, you can select action that is performed if the condition proves to be true (another dialog for additional information may be opened too). In the third field you can see complete reading of the rule, and in the fourth, you enter the name of the new rule.
Blocked users
Here you can find list of users, whose e-mails will be completely ignored or they will be just deleted from the server.


Hnet Info Mail 1.1 - Messages Folders

Messages Folders

All messages in the application are located in the messages folders.

There are four folders divided according to their designation

  • Received mail - mail received from the POP3 server
  • To send mail - mail designated to be sent to SMTP server
  • Sent mail - mail that has been already sent
  • Recycled mail - mail deleted from one of above-mentioned folders

Moreover, you can create new own messages folders using the context menu of messages folders.


Hnet Info Mail 1.1 - Received Mail

Received Mail

In this folder is located all mail received from POP3 server(s).


Hnet Info Mail 1.1 - To Send Mail

 Pošta k odeslání

To Send Mail

All mail designated to be sent to SMTP server(s) is located in this folder.


Hnet Info Mail 1.1 - Sent Mail

Sent Mail

In this folder, you can find all mail that was sent to SMTP server(s) by the application.


Hnet Info Mail 1.1 - Recycled Mail

Recycled Mail

All messages deleted from other folders are moved to this folder. All messages in this folder can be temporarily removed by emptying the recycled mail folder.


Hnet Info Mail 1.1 - Emtying of Recycled Mail Folder

Emtying of Recycled Mail Folder

Attention! This action cannot be taken back.

Empties the whole folder recycled mail.

You can run this command by selecting empty recycled mail folder in the menu file.


Hnet Info Mail 1.1 - Copying Messages

Copying Messages

You can copy selected message to another folder by selecting command copy to folder from menu edit.

You can also copy using mouse by dragging the message to the desired folder and holding key SHIFT at the same time.

After selecting command a dialog will open to select the folder the message will be copied to.


Hnet Info Mail 1.1 - Moving the Message

Moving the Message

You can move the selected message to another folder by selecting command move to folder from the menu edit.

You can also move the message by dragging it to another folder with mouse.

After executing the command, a dialog will open to select the folder message will be moved to.


Hnet Info Mail 1.1 - Deleting Messages

Deleting Messages

You can delete selected mail in three ways

  • by pressing the button Del
  • by pressing the button delete od the toolbar
  • by command delete from the menu edit

    Message will be moved to the folder recycled mail. If you delete mail from this folder, messages will be removed permanently.


Hnet Info Mail 1.1 - New Message

New Message

If you want to write new message, you can

  • press the button new message on the toolbar
  • choose command new message from the menu file
  • choose command new... from the menu Message
  • press the button write new message in the directory
  • select item new message in the context menu of contacts list.


Hnet Info Mail 1.1 - Writing the Massage Body

Writing the Message Body

From:, To: ...

There is a separate text field for each property that designates the future flow of the message through the Internet.

Message Body

The message body itself can be entered to text area using simple and intuitive text editor (similar to other commonly used editors). Text may be interlaced with images - the result is then a hypertext document.

You can insert a text file on the cursor's position using the command insert text file from the menu attachments.

If you would like to attach binary file, please find further information here.


Hnet Info Mail 1.1 - Attachments

Attachments

You can attach any file of any type to the message. List of attachments is available in the upper part of the new message dialog. (The new message dialog is divided into several folds, attachments are the second one)

Attaching

You can attach new attachment using

  • button attach file next to the list of attachments
  • command attach file available from menu attachments
  • directly by dragging the file by mouse over the new message dialog
You can attach multiple files at the same time.

Detaching

You can detach selected attachment by clicking the detach file button next to the list of attachments.


Hnet Info Mail 1.1 - Using the Directory

Using the Directory

Directory of Contacts may be used for writing new message to specify the recipient(s).

There is a small directory icon next to each input field. If you click this icon, the directory will open, where you can choose arbitrary number of recipients and press the button OK. Selected recipients will show in the relevant input field.


Hnet Info Mail 1.1 - Spellchecking

Spellchecking

You can run spellchecker by pressing the button check spelling in the New message dialog. The whole message body will be checked for spelling. If there are some unknown words, you will be prompted to replace them. After spellchecking has been carried out, an informational dialog will confirm that.